/**
 * SECTION:ApplicationDockItem
 * @short_description: A dock item for applications (with .desktop launchers).
 */
/**
 * PLANK_ITEMS_TYPE_APPLICATION_DOCK_ITEM:
 * 
 * The type for <link linkend="PlankItemsApplicationDockItem"><type>PlankItemsApplicationDockItem</type></link>.
 */
/**
 * plank_items_application_dock_item_is_running:
 * @self: the <link linkend="PlankItemsApplicationDockItem"><type>PlankItemsApplicationDockItem</type></link> instance
 */
/**
 * plank_items_application_dock_item_is_window:
 * @self: the <link linkend="PlankItemsApplicationDockItem"><type>PlankItemsApplicationDockItem</type></link> instance
 */
/**
 * plank_items_application_dock_item_set_urgent:
 * @self: the <link linkend="PlankItemsApplicationDockItem"><type>PlankItemsApplicationDockItem</type></link> instance
 * @is_urgent: &nbsp;
 */
/**
 * plank_items_application_dock_item_load_from_launcher:
 * @self: the <link linkend="PlankItemsApplicationDockItem"><type>PlankItemsApplicationDockItem</type></link> instance
 * 
 * Parses the associated launcher and sets the icon and text from it.
 */
/**
 * plank_items_application_dock_item_get_unity_application_uri:
 * @self: the <link linkend="PlankItemsApplicationDockItem"><type>PlankItemsApplicationDockItem</type></link> instance
 * 
 * Get libunity application URI
 * 
 * Returns: the libunity application uri of this item, or NULL 
 */
/**
 * plank_items_application_dock_item_get_unity_dbusname:
 * @self: the <link linkend="PlankItemsApplicationDockItem"><type>PlankItemsApplicationDockItem</type></link> instance
 * 
 * Get current libunity dbusname
 * 
 * Returns: the dbusname which provides the LauncherEntry interface, or NULL 
 */
/**
 * plank_items_application_dock_item_unity_update:
 * @self: the <link linkend="PlankItemsApplicationDockItem"><type>PlankItemsApplicationDockItem</type></link> instance
 * @sender_name: (in): &nbsp;.  the corressponding dbusname 
 * @prop_iter: (in): &nbsp;.  the data in a standardize format from libunity 
 * 
 * Update this item&apos;s remote libunity value based on the given data
 */
/**
 * plank_items_application_dock_item_unity_reset:
 * @self: the <link linkend="PlankItemsApplicationDockItem"><type>PlankItemsApplicationDockItem</type></link> instance
 * 
 * Reset this item&apos;s remote libunity values
 */
/**
 * plank_items_application_dock_item_new_with_dockitem_file:
 * @file: &nbsp;
 * 
 * 
 */
/**
 * plank_items_application_dock_item_new_with_dockitem_filename:
 * @filename: &nbsp;
 * 
 * 
 */
/**
 * plank_items_application_dock_item_new:
 */
/**
 * PlankItemsApplicationDockItem:App:
 */
/**
 * plank_items_application_dock_item_get_App:
 * @self: the <link linkend="PlankItemsApplicationDockItem"><type>PlankItemsApplicationDockItem</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankItemsApplicationDockItem--App"><type>"App"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="PlankItemsApplicationDockItem--App"><type>"App"</type></link> property
 */
/**
 * plank_items_application_dock_item_set_App:
 * @self: the <link linkend="PlankItemsApplicationDockItem"><type>PlankItemsApplicationDockItem</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankItemsApplicationDockItem--App"><type>"App"</type></link> property
 * 
 * Set the value of the <link linkend="PlankItemsApplicationDockItem--App"><type>"App"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankItemsApplicationDockItem::pin-launcher:
 * @application_dock_item: the <link linkend="PlankItemsApplicationDockItem"><type>PlankItemsApplicationDockItem</type></link> instance that received the signal
 * 
 * Signal fired when the item&apos;s &apos;keep in dock&apos; menu item is pressed.
 */
/**
 * PlankItemsApplicationDockItem::app-closed:
 * @application_dock_item: the <link linkend="PlankItemsApplicationDockItem"><type>PlankItemsApplicationDockItem</type></link> instance that received the signal
 * 
 * Signal fired when the application associated with this item closes.
 */
/**
 * PlankItemsApplicationDockItem::app-window-added:
 * @application_dock_item: the <link linkend="PlankItemsApplicationDockItem"><type>PlankItemsApplicationDockItem</type></link> instance that received the signal
 * 
 * Signal fired when the application associated with this item opened a new window.
 */
/**
 * PlankItemsApplicationDockItem::app-window-removed:
 * @application_dock_item: the <link linkend="PlankItemsApplicationDockItem"><type>PlankItemsApplicationDockItem</type></link> instance that received the signal
 * 
 * Signal fired when the application associated with this item closed a window.
 */
/**
 * plank_items_application_dock_item_parse_launcher:
 * @launcher: (in): &nbsp;.  the launcher file (.desktop file) to parse 
 * @icon: (out): &nbsp;.  the icon key from the launcher 
 * @text: (out): &nbsp;.  the text key from the launcher 
 * @actions: (in) (allow-none): &nbsp;.  a list of all actions by name 
 * @actions_map: (in) (allow-none): &nbsp;.  a map of actions from name to exec;;icon 
 * @mimes: (in) (allow-none): &nbsp;.  a list of all supported mime types 
 * 
 * Parses a launcher to get the text, icon and actions.
 */
/**
 * PlankItemsApplicationDockItem:
 * 
 * A dock item for applications (with .desktop launchers).
 */
/**
 * PlankItemsApplicationDockItemClass:
 * @parent_class: the parent class structure
 * 
 * The class structure for <link linkend="PLANK-ITEMS-TYPE-APPLICATION-DOCK-ITEM:CAPS"><literal>PLANK_ITEMS_TYPE_APPLICATION_DOCK_ITEM</literal></link>. All the fields in this structure are private and should never be accessed directly.
 */
