/**
 * SECTION:DockItemProvider
 * @short_description: A container and controller class for managing dock items on a dock.
 */
/**
 * PLANK_ITEMS_TYPE_DOCK_ITEM_PROVIDER:
 * 
 * The type for <link linkend="PlankItemsDockItemProvider"><type>PlankItemsDockItemProvider</type></link>.
 */
/**
 * plank_items_dock_item_provider_add_item:
 * @self: the <link linkend="PlankItemsDockItemProvider"><type>PlankItemsDockItemProvider</type></link> instance
 * @item: (in): &nbsp;.  the dock item to add 
 * 
 * Adds a dock item to the collection.
 */
/**
 * plank_items_dock_item_provider_remove_item:
 * @self: the <link linkend="PlankItemsDockItemProvider"><type>PlankItemsDockItemProvider</type></link> instance
 * @item: (in): &nbsp;.  the dock item to remove 
 * 
 * Removes a dock item from the collection.
 */
/**
 * plank_items_dock_item_provider_handle_item_state_changed:
 * @self: the <link linkend="PlankItemsDockItemProvider"><type>PlankItemsDockItemProvider</type></link> instance
 */
/**
 * plank_items_dock_item_provider_update_visible_items:
 * @self: the <link linkend="PlankItemsDockItemProvider"><type>PlankItemsDockItemProvider</type></link> instance
 */
/**
 * plank_items_dock_item_provider_set_item_positions:
 * @self: the <link linkend="PlankItemsDockItemProvider"><type>PlankItemsDockItemProvider</type></link> instance
 */
/**
 * plank_items_dock_item_provider_handle_setting_changed:
 * @self: the <link linkend="PlankItemsDockItemProvider"><type>PlankItemsDockItemProvider</type></link> instance
 */
/**
 * plank_items_dock_item_provider_save_item_positions:
 * @self: the <link linkend="PlankItemsDockItemProvider"><type>PlankItemsDockItemProvider</type></link> instance
 * 
 * Save current item positions
 */
/**
 * plank_items_dock_item_provider_restore_item_positions:
 * @self: the <link linkend="PlankItemsDockItemProvider"><type>PlankItemsDockItemProvider</type></link> instance
 * 
 * Restore previously saved item positions
 */
/**
 * plank_items_dock_item_provider_move_item_to:
 * @self: the <link linkend="PlankItemsDockItemProvider"><type>PlankItemsDockItemProvider</type></link> instance
 * @move: (in): &nbsp;.  the item to move 
 * @target: (in): &nbsp;.  the item of the new position 
 * 
 * Move an item to the position of another item. This shifts all items which are between these two items.
 */
/**
 * plank_items_dock_item_provider_reset_item_buffers:
 * @self: the <link linkend="PlankItemsDockItemProvider"><type>PlankItemsDockItemProvider</type></link> instance
 * 
 * Reset internal buffers of all items.
 */
/**
 * plank_items_dock_item_provider_add_item_without_signaling:
 * @self: the <link linkend="PlankItemsDockItemProvider"><type>PlankItemsDockItemProvider</type></link> instance
 * @item: &nbsp;
 */
/**
 * plank_items_dock_item_provider_replace_item:
 * @self: the <link linkend="PlankItemsDockItemProvider"><type>PlankItemsDockItemProvider</type></link> instance
 * @new_item: (in): &nbsp;.  the new item 
 * @old_item: (in): &nbsp;.  the item to be replaced 
 * 
 * Replace an item with another item.
 */
/**
 * plank_items_dock_item_provider_remove_item_without_signaling:
 * @self: the <link linkend="PlankItemsDockItemProvider"><type>PlankItemsDockItemProvider</type></link> instance
 * @item: &nbsp;
 */
/**
 * plank_items_dock_item_provider_item_signals_connect:
 * @self: the <link linkend="PlankItemsDockItemProvider"><type>PlankItemsDockItemProvider</type></link> instance
 * @item: &nbsp;
 */
/**
 * plank_items_dock_item_provider_item_signals_disconnect:
 * @self: the <link linkend="PlankItemsDockItemProvider"><type>PlankItemsDockItemProvider</type></link> instance
 * @item: &nbsp;
 */
/**
 * plank_items_dock_item_provider_handle_item_deleted:
 * @self: the <link linkend="PlankItemsDockItemProvider"><type>PlankItemsDockItemProvider</type></link> instance
 * @item: &nbsp;
 */
/**
 * plank_items_dock_item_provider_new:
 * 
 * Creates a new container for dock items.
 */
/**
 * PlankItemsDockItemProvider:Items:
 * 
 * A list of the dock items.
 */
/**
 * plank_items_dock_item_provider_get_Items:
 * @self: the <link linkend="PlankItemsDockItemProvider"><type>PlankItemsDockItemProvider</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankItemsDockItemProvider--Items"><type>"Items"</type></link> property.
 * 
 * A list of the dock items.
 * 
 * Returns: the value of the <link linkend="PlankItemsDockItemProvider--Items"><type>"Items"</type></link> property
 */
/**
 * PlankItemsDockItemProvider::items-changed:
 * @dock_item_provider: the <link linkend="PlankItemsDockItemProvider"><type>PlankItemsDockItemProvider</type></link> instance that received the signal
 * @added: &nbsp;.  the list of added items <para></para>
 * @removed: &nbsp;.  the list of removed items <para></para>
 * 
 * Triggered when the items collection has changed.
 */
/**
 * PlankItemsDockItemProvider::item-state-changed:
 * @dock_item_provider: the <link linkend="PlankItemsDockItemProvider"><type>PlankItemsDockItemProvider</type></link> instance that received the signal
 * 
 * Triggered when the state of an item changes.
 */
/**
 * PlankItemsDockItemProvider::item-position-changed:
 * @dock_item_provider: the <link linkend="PlankItemsDockItemProvider"><type>PlankItemsDockItemProvider</type></link> instance that received the signal
 * 
 * Triggered anytime an item&apos;s Position changes.
 */
/**
 * plank_items_dock_item_provider_compare_items:
 * @left: &nbsp;
 * @right: &nbsp;
 */
/**
 * PlankItemsDockItemProvider:
 * 
 * A container and controller class for managing dock items on a dock.
 */
/**
 * PlankItemsDockItemProviderClass:
 * @update_visible_items: virtual method used internally
 * @move_item_to: virtual method called by <link linkend="plank-items-dock-item-provider-move-item-to"><function>plank_items_dock_item_provider_move_item_to()</function></link>
 * @add_item_without_signaling: virtual method used internally
 * @replace_item: virtual method called by <link linkend="plank-items-dock-item-provider-replace-item"><function>plank_items_dock_item_provider_replace_item()</function></link>
 * @remove_item_without_signaling: virtual method used internally
 * @item_signals_connect: virtual method used internally
 * @item_signals_disconnect: virtual method used internally
 * @handle_item_deleted: virtual method used internally
 * @parent_class: the parent class structure
 * 
 * The class structure for <link linkend="PLANK-ITEMS-TYPE-DOCK-ITEM-PROVIDER:CAPS"><literal>PLANK_ITEMS_TYPE_DOCK_ITEM_PROVIDER</literal></link>. All the fields in this structure are private and should never be accessed directly.
 */
